apiVersion: v1
kind: Service
metadata:
  namespace: cloud-native-spring-ci
  name: cloud-native-spring-ci
  labels:
    app: cloud-native-spring-ci
spec:
  ports:
    - port: 80
      targetPort: 8080
      protocol: TCP
  type: NodePort
  selector:
    app: cloud-native-spring-ci
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  namespace: cloud-native-spring-ci
  name: cloud-native-spring-ci
  labels:
    app: cloud-native-spring-ci
  annotations:
    kubernetes.io/ingress.class: alb
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/target-type: ip
spec:
  rules:
    - http:
        paths:
          - path: /
            backend:
              serviceName: cloud-native-spring-ci
              servicePort: 80
